OpenShop::Task Class Reference

Task representation for CROSH heuristic More...

## Public Member Functions

| Task (void)
| Default constructor.
| Task (int j0, int m0, int p0)
| Constructor.

## Public Attributes

int | j
int | m
int | p

## Detailed Description

Task representation for CROSH heuristic

Definition at line 76 of file open-shop.cpp.

## Constructor & Destructor Documentation

## Task() [1/2]

OpenShop::Task::Task | ( | void |  | ) |

inline

Default constructor.

Definition at line 82 of file open-shop.cpp.

## Task() [2/2]

OpenShop::Task::Task | ( | int | j0,
|  | int | m0,
|  | int | p0 )

inline

Constructor.

Definition at line 84 of file open-shop.cpp.

## Member Data Documentation

## j

int OpenShop::Task::j

Definition at line 78 of file open-shop.cpp.

## m

int OpenShop::Task::m

Definition at line 79 of file open-shop.cpp.

## p

int OpenShop::Task::p

Definition at line 80 of file open-shop.cpp.

The documentation for this class was generated from the following file:

- examples/open-shop.cpp